Attribute VB_Name = "mErrHndl"
'mErrHndl.bas
'2009 - Cyle Terry
'Licensed under the BSD license

Option Explicit

'How to use this subroutine:
'Put this subrountine after your "On Error" goto
Public Sub ErrHndl()

  Select Case Err.Number
    Case &H6
      If Err.Description = "Overflow" Then
        MsgBox "Integer overflow.", , ""
        End
      End If
    Case &H35
      If Err.Description = "File not found: zlib.dll" Then
        MsgBox "Please install zlib and try again.", , ""
        End
      End If
    Case &H46
      If Err.Description = "Permission denied" Then
        MsgBox "File locked by another application", , ""
        End
      End If
    Case &H4B
      If Err.Description = "Path/File access error" Then
        MsgBox "Cannot read/write file - Already in use", , ""
        End
      End If
    Case Else
      MsgBox "Run-time error: '" & Err.Number & "'" & Chr$(13) & Chr$(10) & Chr$(13) & Chr$(10) & _
        Err.Description, , ""
      End
  End Select

End Sub
